# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CSS2Cursor Class Reference

The `CSS2Cursor` interface represents the cursor CSS Level 2 property. More...

`#include <css_extensions.h>`

Inheritance diagram for DOM::CSS2Cursor:

[legend]
Collaboration diagram for DOM::CSS2Cursor:

[legend]
List of all members.

## Public Member Functions

| CSS2Cursor (const CSS2Cursor &other)
| CSS2Cursor (CSS2CursorImpl *impl)
CSS2Cursor & | operator= (const CSS2Cursor &other)
unsigned short | cursorType () const
void | setCursorType (const unsigned short)
CSSValueList | uris () const
DOM::DOMString | predefinedCursor () const
void | setPredefinedCursor (const DOM::DOMString &)

## Detailed Description

The `CSS2Cursor` interface represents the cursor CSS Level 2 property.

Definition at line 559 of file css_extensions.h.

## Member Function Documentation

unsigned short CSS2Cursor::cursorType | ( |  | ) | const

| A code defining the type of the property. It would one of `CSS_UNKNOWN` or `CSS_INHERIT` . If the type is `CSS_UNKNOWN` , then `uris` contains a list of URIs and `predefinedCursor` contains an ident. Setting this attribute from `CSS_INHERIT` to `CSS_UNKNOWN` will set the `predefinedCursor` to `"auto"` . Definition at line 354 of file css_extensions.cpp.

void CSS2Cursor::setCursorType | ( | const unsigned | short | ) |

| see cursorType Definition at line 360 of file css_extensions.cpp.

CSSValueList CSS2Cursor::uris | ( |  | ) | const

| `uris` represents the list of URIs ( `CSS_URI` ) on the cursor property. The list can be empty. Definition at line 367 of file css_extensions.cpp.

DOMString CSS2Cursor::predefinedCursor | ( |  | ) | const

| This identifier represents a generic cursor name or an empty string. Definition at line 373 of file css_extensions.cpp.

void CSS2Cursor::setPredefinedCursor | ( | const DOM::DOMString & |  | ) |

see predefinedCursor

Exceptions:

  | DOMException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 379 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:33 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003